# fork of https://gitlab.com/akumar-xyz/arch-pape-maker

# arch pape maker

A script for an obnoxious arch user who wants to trumpet his (or her) distro
of choice.

I use this script to place the arch logo on all my wallpapers.

## I use arch btw...

# Usage

```
./mepapemaker.sh <logo> <file.img>
```
For now only the arch logo is available.

# Getting logos from other sources

If you already have a monochrome svg of a logo you want to put on your wallpaper, you just need to put it in the logo directory and use the filename (without the file extension) as the first argument.

```
wget https://kde.org/stuff/clipart/logo/plasma-logo-monochrome.svg -O plasma.svg
mv plasma.svg logo/
./mepapemaker.sh plasma wallpaper.jpg
```

| Logos | URL |
| ------------- | ------------- |
| KDE Plasma  | https://kde.org/stuff/clipart/logo/plasma-logo-monochrome.svg |
| KDE Logo | https://kde.org/stuff/clipart/logo/kde-logo-gray-transparent-source.svg |

# Examples

## Example 1
![example1](examples/example1.jpg)
```
./mepapemaker.sh arch example1.jpg
```
![arch btw example1](examples/arch_btw_example1.jpg)

```output: arch_btw_example1.jpg```

## Example 2
![example2](examples/example2.jpg)
```
./mepapemaker.sh arch example2.jpg
```
![arch btw example2](examples/arch_btw_example2.jpg)

```output: arch_btw_example2.jpg```

## Example 3
![example3](examples/example3.jpg)
```
./mepapemaker.sh arch example3.jpg
```
![arch btw example3](examples/arch_btw_example3.jpg)

```output: arch_btw_example2.jpg```

# Dependencies

```Imagemagick v7```
